net.sf.jasperreports.engine.query

## Class JRSqlBetweenClause

- java.lang.Object
- - net.sf.jasperreports.engine.query.SQLBetweenBaseClause
  - - net.sf.jasperreports.engine.query.JRSqlBetweenClause

- All Implemented Interfaces:
    JRClauseFunction

      public class JRSqlBetweenClause
      extends SQLBetweenBaseClause

  Base BETWEEN clause function for SQL queries.

  The purpose of this clause function is to find that a given value can be found in a given A...B interval.

  The first token in the $X{...} syntax is the function ID token. Possible values for the BETWEEN clause function ID token are:

  - `BETWEEN` - in this case the A...B interval will be considered open: (A,B)
  - `[BETWEEN` - in this case the A...B interval will be considered right-open: [A,B)
  - `BETWEEN]` - in this case the A...B interval will be considered left-open: (A,B]
  - `[BETWEEN]` - in this case the A...B interval will be considered closed: [A,B]
  Version:
    $Id: JRSqlBetweenClause.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    sanda zaharia (shertage@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static JRSqlBetweenClause` | `singleton`

    - ### Fields inherited from class net.sf.jasperreports.engine.query.SQLBetweenBaseClause

      `CLAUSE_TRUISM, POSITION_CLAUSE_ID, POSITION_DB_COLUMN, POSITION_LEFT_PARAMETER, POSITION_RIGHT_PARAMETER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRSqlBetweenClause()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ClauseFunctionParameterHandler` | `createParameterHandler(JRQueryClauseContext queryContext, java.lang.String clauseId, java.lang.String parameterName, boolean left)`
    `static JRSqlBetweenClause` | `instance()` Returns the singleton function instance.

    - ### Methods inherited from class net.sf.jasperreports.engine.query.SQLBetweenBaseClause

      `apply, getGreaterOperator, getLessOperator, handleGreaterClause, handleLessClause, isLeftClosed, isRightClosed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### singleton

          protected static final JRSqlBetweenClause singleton

  - ### Constructor Detail

    - #### JRSqlBetweenClause

          public JRSqlBetweenClause()

  - ### Method Detail

    - #### instance

          public static JRSqlBetweenClause instance()

      Returns the singleton function instance.
      Returns:
        the singleton function instance

    - #### createParameterHandler

          protected ClauseFunctionParameterHandler createParameterHandler(JRQueryClauseContext queryContext,
                                                              java.lang.String clauseId,
                                                              java.lang.String parameterName,
                                                              boolean left)

      Specified by:
        `createParameterHandler` in class `SQLBetweenBaseClause`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com